QGIS Application - Bug report #17939
Parent/Child column pairs reversed from entry dialog to overview table

2018-01-24 01:48 AM - Nathan Saylor

Status: Closed
Priority: Normal
Assignee:

Category: GUI

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: Yes
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 25835

Description

Parent/Child column pairs reversed from entry dialog to overview table. In QGIS 2.16, the sequences of the two matched. In 2.99 they're
switched. I'm not into this enough to have an opinion on which should come first, but | think consistency between the dialog and overview

would be desirable.
Associated revisions

Revision 237455a7 - 2018-01-24 11:52 PM - Nyall Dawson

Use same relation parent/child order in list as in new relation dialog

Fixes #17939

History

#1 - 2018-01-24 09:58 AM - Nyall Dawson
- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/6157

#2 - 2018-01-24 11:52 PM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|237455a78f99d4240e7a54d0a718b14c1ae65151.

#3 - 2018-02-21 09:46 PM - Giovanni Manghi

- Resolution set to fixed/implemented
